
join_org = {}

function join_org.initiate(initiator, org, result) 
    modpol.interactions.binary_poll_user(
        initiator, 
        "Would you like to join " .. org.name, 
        function (resp) 
            if resp == "Yes" then
                org:add_member(initiator)
            end
        end
    )

    for i, member in ipairs(org.members) do
        org:add_pending_action(
            member,
            function () 
                modpol.interactions.binary_poll_user(
                    member,
                    "Let " .. initiator .. " join " .. org.name .. "?",
                    function (resp)
                        
                    end
                )
            end
        )
    end

    if result then result() end
end

modpol.modules.join_org = join_org
